Package wx :: Package lib :: Module intctrl

[frames | no frames]

## Module wx.lib.intctrl

Classes
`IntCtrl` | This class provides a control that takes and returns integers as value, and provides bounds support and optional value limiting.
`IntUpdatedEvent` |
`IntValidator` | Validator class used with IntCtrl; handles all validation of input prior to changing the value of the underlying wx.TextCtrl.

Variable Summary
`PyEventBinder` | `EVT_INT` = `<wx._core.PyEventBinder object at 0xb4936dec>`
`int` | `MININT` = -2147483648
`int` | `wxEVT_COMMAND_INT_UPDATED` = 10322
`int` | `WXK_CTRL_V` = 22
`int` | `WXK_CTRL_X` = 24

Variable Details

### EVT_INT

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb4936dec>

### MININT

  Type:
    `int`
  Value:

        -2147483648

### wxEVT_COMMAND_INT_UPDATED

  Type:
    `int`
  Value:

        10322

### WXK_CTRL_V

  Type:
    `int`
  Value:

        22

### WXK_CTRL_X

  Type:
    `int`
  Value:

        24

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:17 2007 | http://epydoc.sf.net